List Prices
curl --request GET \
--url https://api.example.com/merchant/price/listimport requests
url = "https://api.example.com/merchant/price/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/merchant/price/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
Prices
List Prices
List prices for a product
GET
/
merchant
/
price
/
list
List Prices
Get a list of prices for products.
string
Filter by product ID
integer
Page number
integer
Items per page
boolean
Filter by active status
boolean
Indicates if the request was successful
array
Array of price objects
object
Pagination information
Example Request
curl -X GET "https://api.transaction.gg/merchant/price/list?productId=prod_X4dUuzsMaruQ4UsX&page=1&limit=10" \
-H "Authorization: Bearer jwt_token"
Example Response
{
"success": true,
"data": {
"prices": [
{
"id": "price_i62wKFQ8sGnLxQ5G",
"productId": "prod_X4dUuzsMaruQ4UsX",
"amount": "29.99",
"currency": "USD",
"active": true,
"createdAt": "2024-01-01T00:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1
}
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
⌘I